Skip to content

Targets and contracts

30 endpoints. Every path below is served by trilocore-backend behind the gateway at https://api.trilocore.ai.

POST /api/v1/bevm/compilations

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
artifacts array | null no maxItems 256
contract_name string | null no maxLength 256
entrypoint string | null no maxLength 4096
evm_version string | null no maxLength 32
include_bytecode boolean | null no —
optimize boolean no —
optimize_runs integer no —
project_id string | null no maxLength 128
remappings array | null no —
solc_version string | null no maxLength 32
source string | null no maxLength 1000000
sources object | null no —
workspace_id string | null no maxLength 128
curl -X POST https://api.trilocore.ai/api/v1/bevm/compilations \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"artifacts": [], "contract_name": "…", "entrypoint": "…"}'

GET /api/v1/bevm/compilations/{compilation_id}

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/compilations/{compilation_id} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/compilations/{compilation_id}/artifacts/{artifact}/bytecode

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/compilations/{compilation_id}/artifacts/{artifact}/bytecode \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/compilers/solc/versions

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/compilers/solc/versions \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

GET /api/v1/bevm/library/presets

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/library/presets \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

▶ Run this example in the sandbox

POST /api/v1/bevm/library/presets/{preset_id}:apply

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
auditor string yes —
target string yes —
curl -X POST https://api.trilocore.ai/api/v1/bevm/library/presets/{preset_id}:apply \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"auditor": "…", "target": "…"}'

POST /api/v1/bevm/library/presets:build

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
name string yes —
curl -X POST https://api.trilocore.ai/api/v1/bevm/library/presets:build \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "…"}'

GET /api/v1/bevm/targets

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

POST /api/v1/bevm/targets

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
address string yes maxLength 66
depth integer no maximum 3, minimum 1
discover boolean no —
label string | null no maxLength 64
max_links integer no maximum 32, minimum 1
curl -X POST https://api.trilocore.ai/api/v1/bevm/targets \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"address": "…"}'

GET /api/v1/bevm/targets/{uid}/abi

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
address string no — —
network string no — —
refresh boolean no — —
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/abi \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

POST /api/v1/bevm/targets/{uid}/addresses:classify

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
address string yes maxLength 42
curl -X POST https://api.trilocore.ai/api/v1/bevm/targets/{uid}/addresses:classify \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"address": "…"}'

GET /api/v1/bevm/targets/{uid}/blocks

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
contract string no — —
include_targets boolean no — —
limit integer no maximum 500, minimum 1 —
offset integer no maximum 1000000, minimum 0 —
pc_from integer no maximum 16777215, minimum 0 —
pc_to integer no maximum 16777215, minimum 0 —
q string no maxLength 128 —
selector string no — —
sort string no one of danger, pc —

Request body

  • application/json: a JSON object
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/blocks \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/blocks/{pc}

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
contract string no — —
source string no — —
stack_mode string no — —
with_stack integer no — —
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/blocks/{pc} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/blocks/{pc}/stack

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
contract string no — —
max_depth integer no — —
mode string no — —
source string no — —
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/blocks/{pc}/stack \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

POST /api/v1/bevm/targets/{uid}/blocks/{pc}:autoTeleport

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
apply boolean no —
args array no —
contract one of no —
fundings array no —
gas_limit one of no —
max_iterations integer no maximum 256.0, minimum 0.0
overrides object no —
selector one of no —
sender string no —
signature one of no —
source string no —
use_static_seed boolean no —
use_z3 boolean no —
value_wei integer no —
z3_timeout_ms integer no maximum 120000.0, minimum 0.0
curl -X POST https://api.trilocore.ai/api/v1/bevm/targets/{uid}/blocks/{pc}:autoTeleport \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"apply": false, "args": [], "contract": "…"}'

POST /api/v1/bevm/targets/{uid}/blocks/{pc}:solvePath

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
apply boolean no —
arg_positions one of no —
args array no —
contract one of no —
fundings array no —
gas_limit one of no —
max_calldata_iterations integer no maximum 1024.0, minimum 0.0
max_iterations integer no maximum 256.0, minimum 0.0
overrides object no —
seed_args one of no —
selector one of no —
sender string no —
signature one of no —
solve_calldata boolean no —
source string no —
use_concolic boolean no —
use_static_seed boolean no —
use_z3 boolean no —
value_wei integer no —
z3_timeout_ms integer no maximum 120000.0, minimum 0.0
curl -X POST https://api.trilocore.ai/api/v1/bevm/targets/{uid}/blocks/{pc}:solvePath \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"apply": false, "arg_positions": [], "args": []}'

POST /api/v1/bevm/targets/{uid}/blocks/{pc}:teleport

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
args array no —
contract one of no —
fundings array no —
gas_limit one of no —
overrides object no —
selector one of no —
sender string no —
signature one of no —
snapshot boolean no —
source string no —
value_wei integer no —
curl -X POST https://api.trilocore.ai/api/v1/bevm/targets/{uid}/blocks/{pc}:teleport \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"args": [], "contract": "…", "fundings": []}'

GET /api/v1/bevm/targets/{uid}/contracts

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/contracts \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

DELETE /api/v1/bevm/targets/{uid}/contracts/{address}

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
address string no — —

Request body

  • application/json: a JSON object
curl -X DELETE https://api.trilocore.ai/api/v1/bevm/targets/{uid}/contracts/{address} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

PATCH /api/v1/bevm/targets/{uid}/contracts/{address}

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
address string no — —

Request body

Field Type Required Constraints
label string | null no maxLength 64
curl -X PATCH https://api.trilocore.ai/api/v1/bevm/targets/{uid}/contracts/{address} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label": "…"}'

POST /api/v1/bevm/targets/{uid}/contracts:discover

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

Field Type Required Constraints
addresses array no maxItems 32
depth integer no maximum 3, minimum 1
dry_run boolean no —
max_links integer no maximum 32, minimum 1
curl -X POST https://api.trilocore.ai/api/v1/bevm/targets/{uid}/contracts:discover \
  -H "Authorization: Bearer $TRILOCORE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"addresses": [], "depth": 1, "dry_run": false}'

POST /api/v1/bevm/targets/{uid}/heap-analyses

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

This operation takes no request body.

curl -X POST https://api.trilocore.ai/api/v1/bevm/targets/{uid}/heap-analyses \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/mindmap

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/mindmap \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/mindmap/selectors/{selector}

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
max integer no maximum 2000, minimum 50 —
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/mindmap/selectors/{selector} \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

POST /api/v1/bevm/targets/{uid}/power-clash-checks

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Request body

  • application/json: a JSON object
curl -X POST https://api.trilocore.ai/api/v1/bevm/targets/{uid}/power-clash-checks \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/proxy-collisions

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
refresh boolean no — —
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/proxy-collisions \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/scope

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/scope \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/storage-graph

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
address string no — —
enrich boolean no — —
source string no — —
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/storage-graph \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/tree

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/tree \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"

GET /api/v1/bevm/targets/{uid}/visual-graph

Property Value
Authentication Authorization: Bearer (jns_ key or SSO session)
Idempotency-Key not required
Success 200
Upstream trilocore-backend

Query parameters

Parameter Type Required Constraints Description
refresh boolean no — —
source string no — —
curl -X GET https://api.trilocore.ai/api/v1/bevm/targets/{uid}/visual-graph \
  -H "Authorization: Bearer $TRILOCORE_API_KEY"